> ## Documentation Index
> Fetch the complete documentation index at: https://docs.variable.global/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Activity Group

> Rename an activity group

export const permission_0 = 'activity:update'

<Info>Requires permission: **{permission_0}**</Info>


## OpenAPI

````yaml PATCH /v1/activity/group/{uuid}
openapi: 3.0.1
info:
  title: Variable API
  description: This is the Variable API
  version: 1.1.0
servers:
  - url: https://app.variable.global/api
security:
  - basicAuth: []
  - bearerAuth: []
  - oAuthNoScopes: []
paths:
  /v1/activity/group/{uuid}:
    parameters:
      - in: path
        name: uuid
        required: true
        schema:
          type: string
          format: uuid
    patch:
      summary: Rename an activity group
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/NewActivityGroup'
      responses:
        '200':
          description: The renamed activity group
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/IDAndName'
        '400':
          description: A missing or blank `name`.
        '401':
          description: ExpiredToken
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ExpiredTokenResponse'
        '404':
          description: No activity group with that `uuid` belongs to your company.
      security:
        - bearerAuth: []
components:
  schemas:
    NewActivityGroup:
      type: object
      required:
        - name
      properties:
        name:
          type: string
          example: Business travel
    IDAndName:
      type: object
      properties:
        uuid:
          $ref: '#/components/schemas/UUID'
        name:
          type: string
          example: Name
    ExpiredTokenResponse:
      type: object
      properties:
        message:
          type: string
          example: token expired
    UUID:
      type: string
      format: uuid
  securitySchemes:
    basicAuth:
      type: http
      scheme: basic
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
    oAuthNoScopes:
      type: oauth2
      flows:
        clientCredentials:
          tokenUrl: /auth/token
          scopes: {}

````